Index: graphviz_graph_parser.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/graph/src/graphviz_graph_parser.cpp,v
retrieving revision 1.10.4.2
retrieving revision 1.13
diff -u -r1.10.4.2 -r1.13
--- graphviz_graph_parser.cpp	29 Oct 2004 12:44:12 -0000	1.10.4.2
+++ graphviz_graph_parser.cpp	8 Feb 2005 14:52:29 -0000	1.13
@@ -1,3 +1,26 @@
+
+/*  A Bison parser, made from graphviz_parser.yy
+    by GNU Bison version 1.28  */
+
+#define YYBISON 1  /* Identify Bison output.  */
+
+#define yyparse bgl_undir_parse
+#define yylex bgl_undir_lex
+#define yyerror bgl_undir_error
+#define yylval bgl_undir_lval
+#define yychar bgl_undir_char
+#define yydebug bgl_undir_debug
+#define yynerrs bgl_undir_nerrs
+#define	GRAPH_T	257
+#define	NODE_T	258
+#define	EDGE_T	259
+#define	DIGRAPH_T	260
+#define	EDGEOP_T	261
+#define	SUBGRAPH_T	262
+#define	ID_T	263
+
+#line 1 "graphviz_parser.yy"
+
 //=======================================================================
 // Copyright 2001 University of Notre Dame.
 // Author: Lie-Quan Lee
@@ -23,59 +46,6 @@
 // OR OTHER RIGHTS.
 //=======================================================================
 
-/* Identify Bison output.  */
-#define YYBISON 1
-
-/* Skeleton name.  */
-#define YYSKELETON_NAME "yacc.c"
-
-/* Pure parsers.  */
-#define YYPURE 1
-
-/* Using locations.  */
-#define YYLSP_NEEDED 0
-
-/* If NAME_PREFIX is specified substitute the variables and functions
-   names.  */
-#define yyparse bgl_undir_parse
-#define yylex   bgl_undir_lex
-#define yyerror bgl_undir_error
-#define yylval  bgl_undir_lval
-#define yychar  bgl_undir_char
-#define yydebug bgl_undir_debug
-#define yynerrs bgl_undir_nerrs
-
-
-/* Tokens.  */
-#ifndef YYTOKENTYPE
-# define YYTOKENTYPE
-   /* Put the tokens into the symbol table, so that GDB and other debuggers
-      know about them.  */
-   enum yytokentype {
-     GRAPH_T = 258,
-     NODE_T = 259,
-     EDGE_T = 260,
-     DIGRAPH_T = 261,
-     EDGEOP_T = 262,
-     SUBGRAPH_T = 263,
-     ID_T = 264
-   };
-#endif
-#define GRAPH_T 258
-#define NODE_T 259
-#define EDGE_T 260
-#define DIGRAPH_T 261
-#define EDGEOP_T 262
-#define SUBGRAPH_T 263
-#define ID_T 264
-
-
-
-
-/* Copy the first part of user declarations.  */
-#line 1 "graphviz_parser.yy"
-
-
 #include <iostream>
 #include <fstream>
 #include <string>
@@ -140,7 +110,7 @@
 
     static const std::string& get_graph_name(const Subgraph& g) {
       const boost::graph_property<Subgraph, boost::graph_name_t>::type&
-        name = boost::get_property(g, boost::graph_name);
+	name = boost::get_property(g, boost::graph_name);
       return name; 
     }
 
@@ -157,7 +127,7 @@
 
       //set the label of vertex, it could be overwritten later.
       boost::property_map<GRAPHVIZ_GRAPH, boost::vertex_attribute_t>::type
-        va = boost::get(boost::vertex_attribute, g); 
+	va = boost::get(boost::vertex_attribute, g); 
       va[v]["label"] = name; 
       
       //add v into the map so next time we will find it.
@@ -181,85 +151,85 @@
 
     
     static void set_attribute(GraphvizAttrList& p,
-                              const GraphvizAttrList& attr) {
+			      const GraphvizAttrList& attr) {
       GraphvizAttrList::const_iterator i, end;
       for ( i=attr.begin(), end=attr.end(); i!=end; ++i)
-        p[i->first]=i->second;
+	p[i->first]=i->second;
     }
   
     static void set_attribute(Subgraph& g,
-                              AttrState s, bool clear_attribute = true) {
+			      AttrState s, bool clear_attribute = true) {
       typedef Subgraph Graph;
       switch ( s ) {
       case GRAPH_GRAPH_A: 
-        {
-          boost::graph_property<Graph, boost::graph_graph_attribute_t>::type&
-            gga = boost::get_property(g, boost::graph_graph_attribute);
-          set_attribute(gga, attributes); 
-        }
-        break;
+	{
+	  boost::graph_property<Graph, boost::graph_graph_attribute_t>::type&
+	    gga = boost::get_property(g, boost::graph_graph_attribute);
+	  set_attribute(gga, attributes); 
+	}
+	break;
       case GRAPH_NODE_A: 
-        {
-          boost::graph_property<Graph, boost::graph_vertex_attribute_t>::type&
-            gna = boost::get_property(g, boost::graph_vertex_attribute);
-          set_attribute(gna, attributes); 
-        }
-        break;
+	{
+	  boost::graph_property<Graph, boost::graph_vertex_attribute_t>::type&
+	    gna = boost::get_property(g, boost::graph_vertex_attribute);
+	  set_attribute(gna, attributes); 
+	}
+	break;
       case GRAPH_EDGE_A: 
-        {
-          boost::graph_property<Graph, boost::graph_edge_attribute_t>::type&
-            gea = boost::get_property(g, boost::graph_edge_attribute);
-          set_attribute(gea, attributes); 
-        }
-        break;
+	{
+	  boost::graph_property<Graph, boost::graph_edge_attribute_t>::type&
+	    gea = boost::get_property(g, boost::graph_edge_attribute);
+	  set_attribute(gea, attributes); 
+	}
+	break;
       case NODE_A:
-        {
-          boost::property_map<Graph, boost::vertex_attribute_t>::type
-            va = boost::get(boost::vertex_attribute, g);    //va[v]
-          set_attribute(va[current_vertex], attributes);
-        }
-        break;
+	{
+	  boost::property_map<Graph, boost::vertex_attribute_t>::type
+	    va = boost::get(boost::vertex_attribute, g);    //va[v]
+	  set_attribute(va[current_vertex], attributes);
+	}
+	break;
       case EDGE_A: 
-        {
-          boost::property_map<Graph, boost::edge_attribute_t>::type
-            ea = boost::get(boost::edge_attribute, g);      //ea[e]
-          set_attribute(ea[current_edge], attributes); 
-        }
-        break;
+	{
+	  boost::property_map<Graph, boost::edge_attribute_t>::type
+	    ea = boost::get(boost::edge_attribute, g);      //ea[e]
+	  set_attribute(ea[current_edge], attributes); 
+	}
+	break;
       }
       if ( clear_attribute )
-        attributes.clear();
+	attributes.clear();
     }
 
 
     static void add_edges(const Vertex& u,
-                          const Vertex& v, GRAPHVIZ_GRAPH& g) {
+			  const Vertex& v, GRAPHVIZ_GRAPH& g) {
       graphviz::current_edge = boost::add_edge(u, v, g).first; 
       graphviz::set_attribute(g, EDGE_A, false);
     }
     
     static void add_edges(Subgraph* G1, Subgraph* G2,
-                          GRAPHVIZ_GRAPH& g) {
+			  GRAPHVIZ_GRAPH& g) {
       boost::graph_traits<Subgraph>::vertex_iterator i, j, m, n;
       for ( boost::tie(i, j) = boost::vertices(*G1); i != j; ++i) {
-        for ( boost::tie(m, n) = boost::vertices(*G2); m != n; ++m) {
-          graphviz::add_edges(G1->local_to_global(*i),
-                              G2->local_to_global(*m), g);
-        }
+	for ( boost::tie(m, n) = boost::vertices(*G2); m != n; ++m) {
+	  graphviz::add_edges(G1->local_to_global(*i),
+			      G2->local_to_global(*m), g);
+	}
       }
     }
 
     static void add_edges(Subgraph* G, const Vertex& v, GRAPHVIZ_GRAPH& g) {
       boost::graph_traits<Subgraph>::vertex_iterator i, j;
       for ( boost::tie(i, j) = boost::vertices(*G); i != j; ++i) {
-        graphviz::add_edges(G->local_to_global(*i), v, g);
+	graphviz::add_edges(G->local_to_global(*i), v, g);
       }
     }
 
     static void add_edges(const Vertex& u, Subgraph* G, GRAPHVIZ_GRAPH& g) {
       boost::graph_traits<Subgraph>::vertex_iterator i, j;
       for ( boost::tie(i, j) = boost::vertices(*G); i != j; ++i) {
-        graphviz::add_edges(u, G->local_to_global(*i), g);
+	graphviz::add_edges(u, G->local_to_global(*i), g);
       }
     }
 
